// You have generated a new plugin project without
// specifying the `--platforms` flag. A plugin project supports no platforms is generated.
// To add platforms, run `flutter create -t plugin --platforms <platforms> .` under the same
// directory. You can also find a detailed instruction on how to add platforms in the `pubspec.yaml` at https://flutter.dev/docs/development/packages-and-plugins/developing-packages#plugin-platforms.

import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:webview_flutter/webview_flutter.dart';

class PrixaPlugin {
  static const MethodChannel _channel = MethodChannel('prixa_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}

class PrixaPage extends StatefulWidget {
  const PrixaPage({Key? key}) : super(key: key);

  @override
  State<PrixaPage> createState() => _PrixaPageState();
}

class _PrixaPageState extends State<PrixaPage> {
  @override
  Widget build(BuildContext context) {
    return const Scaffold(
      body: WebView(
        javascriptMode: JavascriptMode.unrestricted,
        initialUrl: 'https://www.prixa.ai/prixasekarang',
      ),
    );
  }
}
